%define major 1
%define minor 40
%define fix 14

Name: pango
Version: %{major}.%{minor}.%{fix}
Release: 2
Summary: System for layout and rendering of internationalized text
License: LGPL-2.0-or-later
Url: http://www.pango.org

Source0: http://ftp.gnome.org/pub/GNOME/sources/pango/1.40/%{name}-%{version}.tar.xz
Source1: pango-gtk-doc.m4

BuildRequires: pkg-config
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool

BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib2
BuildRequires: glib2-devel
BuildRequires: harfbuzz-devel
BuildRequires: icu-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: lzo-devel
BuildRequires: pixman-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: zlib-devel

%description 
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango forms the core of text and font handling for
GTK+.


%package -n libpango%{major}
Summary: Pango library

%description -n libpango%{major}
Contains pango library files


%package devel
Summary: System for layout and rendering of internationalized text
Requires: libpango%{major} = %{version}-%{release}
Requires: glib2-devel
Requires: cairo-devel
Requires: freetype-devel
Requires: fontconfig-devel
Requires: libXft-devel

%description devel
The pango-devel package includes the header files and developer docs
for the pango package.


%prep
%setup -q
cp %{SOURCE1} ./gtk-doc.m4

%build
autoreconf -I. -fiv .
%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --with-xft \
  --with-cairo
%make_build

%check
make check

%install
%make_install

%files -n libpango%{major}
%defattr(-, qsys, *none)
%doc README AUTHORS COPYING NEWS
%{_libdir}/libpango-1.0.so.0
%{_libdir}/libpangoft2-1.0.so.0
%{_libdir}/libpangocairo-1.0.so.0
%{_libdir}/libpangoxft-1.0.so.0

%files devel
%defattr(-, qsys, *none)
%doc %{_datadir}/gtk-doc/html/pango/
%{_mandir}/man1/pango-view.1.gz
%{_bindir}/pango-view
%{_includedir}/pango-1.0/pango/
%{_libdir}/libpango-1.0.so
%{_libdir}/libpangoft2-1.0.so
%{_libdir}/libpangocairo-1.0.so
%{_libdir}/libpangoxft-1.0.so
%{_libdir}/pkgconfig/pango.pc
%{_libdir}/pkgconfig/pangoft2.pc
%{_libdir}/pkgconfig/pangocairo.pc
%{_libdir}/pkgconfig/pangoxft.pc

%changelog
* Fri Mar 26 2021 Kevin Adler <kadler@us.ibm.com> - 1.40.14
- Add pkg-config dependencies to pango-devel

* Fri Feb 12 2021 Vasili Skurydzin <vasili.skurydzin@ibm.com> - 1.40.14
- Minor corrections to build in an IBM environment

* Mon Aug 05 2019 Calvin Buckley <calvin@cmpct.info> - 1.40.14-1
- Bump
- PASE

* Mon Apr 25 2016 Matthieu Sarter <matthieu.sarter@atos.net> - 1.40.1-1
- Update to version 1.40.1

* Mon Oct 07 2013 Gerard Visiedo <gerard.visiedo@bull.net> - 1.30.1-2
- Rebuild due to libX11 issue

* Thu Jun 21 2012 Gerard Visiedo <gerard.visiedo@bull.net> - 1.30.1-1
- Update to version 1.30.1

* Fri Feb 03 2012 Gerard Visiedo <gerard.visiedo@bull.net> - 1.28.3-4
- Initial port on Aix6.1

* Fri Oct 14 2011 Gerard Visiedo <gerard.visiedo@bull.net> - 1.28.3-3
- rebuild for compatibility with new libiconv.a 1.13.1-2

* Thu Sep 8 2011 Gerard Visiedo <gerard.visiedo@bull.fnet> 1.28.3-2
- Add libraries 64-bit

* Thu Oct 7 2010 Jean Noel Cordenner <jean-noel.cordenner@bull.net> 1.28.3-1
- update to version 1.28.3

*  Fri Dec 23 2005  BULL
 - Release 2
 - Prototype gtk 64 bit
*  Tue Nov 15 2005  BULL
 - Release  1
 - New version  version: 1.10.0

*  Wed Aug 10 2005  BULL
 - Release  3

*  Mon May 30 2005  BULL
 - Release  2
 - .o removed from lib
*  Wed May 25 2005  BULL
 - Release  1
 - New version  version: 1.8.1
 - Fix Xscreensaver-demo core at initialisation on AIX

*  Tue Nov 23 2004  BULL
 - Release  1
 - New version  version: 1.6.0

*  Wed Jul 28 2004  BULL
 - Release  2
 - fix bug causing the generation of a core file
